'use strict';

var babel = require('babel-core');
var template = require('babel-template');
// const printAST = require('ast-pretty-print')
var requireFromString = require('require-from-string');

module.exports = getReplacement;
Object.assign(getReplacement, { stringToAST });

function getReplacement(_ref) {
  var stringToCodegen = _ref.string,
      filename = _ref.filename;

  var _babel$transform = babel.transform(stringToCodegen, {
    filename
  }),
      transformed = _babel$transform.code;

  var val = requireFromString(transformed, filename);
  return stringToAST(val);
}

function stringToAST(string) {
  if (typeof string !== 'string') {
    throw new Error('codegen: Must module.exports a string.');
  }
  return template(string, {
    sourceType: 'module',
    plugins: [
    // add more on request...
    'jsx']
  })();
}